Subject: How to mount root file system on Flash Device

From: Adeel Malik <[email-masked]>
Date: Wed, 15 Oct 2003 17:03:57 +0500

Presently I am using Buildroot Toolchain to compile the Linux Kernel and
create the Root File System.The Buildroot generates an EXT2 file system
Image by using a program called "genext2fs". The created file system is then
merged with the Kernel image for downloading to SDRAM where it allocates a
portion of memory for file-access and storage by setting-up a Ramdisk
device.
 
We want to mount the file system on a non-volatile memory such as Flash
Memory. What changes do we need to make in the BuildRoot Toolchain to
generate the flash-mountable root file system.
 
Regards,
ADEEL MALIK,